import os
import sys
import transaction

from sqlalchemy import engine_from_config

from pyramid.paster import (
    get_appsettings,
    setup_logging,
    )

from ringo.lib.sql import DBSession
from ringo.scripts.initializedb import inititializedb
from ringo.model import Base

# DO NOT REMOVE THESE LINES
# BEGIN AUTOGENERATED IMPORTS
# AUTOREPLACEIMPORT
# END AUTOGENERATED IMPORTS

def usage(argv):
    cmd = os.path.basename(argv[0])
    print('usage: %s <config_uri>\n'
          '(example: "%s development.ini")' % (cmd, cmd))
    sys.exit(1)


def main(argv=sys.argv):
    if len(argv) != 2:
        usage(argv)
    config_uri = argv[1]
    setup_logging(config_uri)
    settings = get_appsettings(config_uri)
    engine = engine_from_config(settings, 'sqlalchemy.')
    DBSession.configure(bind=engine)
    inititializedb(engine)
    Base.metadata.create_all(engine)
    with transaction.manager:
        # DO NOT REMOVE THESE LINES
        # BEGIN AUTOGENERATED INIT
        # AUTOREPLACEINIT
        # END AUTOGENERATED MODULINIT
        pass
